<?php

namespace Shop\Domain\Region\Contracts;

use Repo\PaginationInterface;
use Repo\RepositoryCriteriaInterface;

/**
 * Description of Region
 *
 * @author Diamond Code Generator
 */
interface RegionCriteriaInterface extends RepositoryCriteriaInterface, PaginationInterface
{
    /**
     * @return int|null
     */
    public function getFilterByCountryId(): ?int;

    /**
     * @return string|null
     */
    public function getSortByName(): ?string;

    /**
     * @return string|null
     */
    public function getSearchByName():?string ;
}           